package com.sun.xml.internal.ws.api.model;

import com.sun.xml.internal.ws.api.model.wsdl.WSDLPort;
import com.sun.istack.internal.NotNull;
import java.util.Collection;
import javax.xml.namespace.QName;
import java.lang.reflect.Method;
import javax.xml.bind.JAXBContext;
import com.sun.xml.internal.ws.util.Pool;

public interface SEIModel
{
    public abstract Pool.Marshaller getMarshallerPool();
    
    @Deprecated
    public abstract JAXBContext getJAXBContext();
    
    public abstract JavaMethod getJavaMethod(Method p0);
    
    public abstract JavaMethod getJavaMethod(QName p0);
    
    public abstract JavaMethod getJavaMethodForWsdlOperation(QName p0);
    
    public abstract Collection<? extends JavaMethod> getJavaMethods();
    
    @NotNull
    public abstract String getWSDLLocation();
    
    @NotNull
    public abstract QName getServiceQName();
    
    @NotNull
    public abstract WSDLPort getPort();
    
    @NotNull
    public abstract QName getPortName();
    
    @NotNull
    public abstract QName getPortTypeName();
    
    @NotNull
    public abstract QName getBoundPortTypeName();
    
    @NotNull
    public abstract String getTargetNamespace();
}
